MAPI
AudioSuno

Remaster

Submit this Suno capability through POST /v1/music/generations with model: "suno-remaster".

POST
/v1/music/generations

Authorization

BearerAuth

AuthorizationBearer <token>

使用 MAPI Bearer Token 认证。格式:Authorization: Bearer sk-xxxxxx。

In: header

Request Body

application/json

model*string

固定填写 suno-remaster。

task_id*string

产出源音轨的任务 ID,必填。

audio_index?integer

源任务 result.music[] 第几首,1-based,默认 1。

Default1
Range1 <= value
variation_category?string

改编强度:subtle / normal / high。

Value in"subtle" | "normal" | "high"
audio_format?string

输出音频格式。

Value in"mp3" | "m4a" | "wav"

Response Body

application/json

application/json

curl -X POST "https://loading/v1/music/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "suno-remaster",    "task_id": "task_aehCmxJ5YUNOIQGgkhvxaco4T9P2h3Dw",    "audio_index": 1,    "variation_category": "normal"  }'
{
  "code": 200,
  "message": "success",
  "data": [
    {
      "status": "submitted",
      "task_id": "task_aehCmxJ5YUNOIQGgkhvxaco4T9P2h3Dw"
    }
  ]
}
{
  "code": "invalid_request",
  "message": "task_id is required",
  "data": null
}

Last updated on